#include<iostream>

using namespace std;

int a[200000];
double b[200000];

int main(){
	int n;
	cin>>n;
	for(int i=0;i<n;i++){
		cin>>a[i]>>b[i];
	}
	for(int i=0;i<n;i++){
		for(int j=i+1;j<n;j++){
			if(b[i]>b[j]){
				double c=b[i];
				b[i]=b[j];
				b[j]=c;
				c=a[i];
				a[i]=a[j];
				a[j]=c;
			}
		}
	}
	
	
	long long zbir=0;
	for(int i=0;i<n;i++){
		zbir=zbir+a[i];
	}
	double x=zbir;
 	double max=zbir*b[0]/100;
	for(int i=1;i<n;i++){
		x=x-a[i-1];
		if(x/100*b[i]>max){
			max=x/100*b[i];
		}
	}
	cout<<fixed<<max;
	return 0;
}